
form {
}


#payment-form, #payment-form * {
    box-sizing:border-box;
    font-family:Helvetica, Arial, sans-serif;
}

#payment-form {
    width: 400px;
    margin-bottom:30px;
}

#card-container {
    margin-top: 45px;
    /* this height depends on the size of the container element */
    /* We transition from a single row to double row at 485px */
    /* Settting this min-height minimizes the impact of the card form loading */
    min-height: 90px;
}

#gift-card-container {
    margin-top: 45px;
    min-height: 90px;
}

@media screen and (max-width: 500px) {
    #card-container {
        min-height: 140px;
    }
}

#ach-button {
    margin-top: 20px;
}

#payment-form  p {
    line-height: 24px;
}

#payment-form  input {
    padding: 12px;
    width: 100%;
    border-radius: 5px;
    border-width: 1px;
    margin-bottom:20px;
    font-size: 15px;
    border: 1px solid rgba(0, 0, 0, 0.15);
    background-color: #FFFFFF;
    display:inline-block;
}


#payment-form  select {
    padding: 12px;
    width: 100%;
    border-radius: 5px;
    border-width: 1px;
    margin-bottom:20px;
    font-size: 15px;
    border: 1px solid rgba(0, 0, 0, 0.15);
    background-color: #FFFFFF;
    display:inline-block;
}


#payment-form  input.half {
    
     width: 49%;

}



#payment-form  .dark input {
    border-color: #5C6B7D;
    background: transparent;
    border: 1px solid #5C6B7D;
    color: white;
}

#payment-form  .dark input::placeholder {
    color: #CBDCF1;
}

#payment-form  fieldset {
    border: 1px solid rgba(1,1,1,0.1);
    padding:20px;
    margin:20px 0;
}

#payment-form  input:focus {
    border: 1px solid #006aff;
}


::placeholder { /* Most modern browsers support this now. */
   color:    #777;
}


#payment-form  button {
    color: #ffffff;
    background-color: #006aff;
    border-radius: 5px;
    cursor: pointer;
    border-style: none;
    user-select: none;
    outline: none;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    padding: 12px;
    width: 100%;
    box-shadow: 1px;
}

#payment-form  .dark button {
    background-color: #8FC9FF;
    color: #273240;
}

#payment-form  button:active {
    background-color: rgb(0, 85, 204);
}

#payment-form  button:disabled {
    background-color: rgba(0, 0, 0, 0.05);
    color: rgba(0, 0, 0, 0.3);
}

#payment-form  .dark .sq-card-wrapper .sq-card-message {
    color: #FF8A8C;
}

#payment-form  .dark .sq-card-wrapper .sq-card-message-no-error::before {
    background-color: #FF8A8C;
}

#payment-form h2 {
    color: #000000;
}

#payment-form  .dark #payment-form h2 {
    color: #FFFFFF;
}